/* convert() - converts machine dependend character standards */
/* This is convert.h */

#ifndef CONVERT_H
#define CONVERT_H

#define  BIN  255

#define  ISO    0
#define  dumb   1
#define  TeX    2
#define  IBM7   3
#define  ROMAN8 4
#define  IBMPC  5
#define  ATARI  6
#define  HTML   7

#define  CHARSETS  8		/* # of the lines above  defined charsets */
#define  CHARS    96		/* 96 ISO char's are defined */

struct charsets {
	char *name;
	int ind;
};

void charset_init(void);
int get_charset_by_name(char *buf);
char *get_charset_by_ind(int ind);
char *list_charsets(void);
char *convert(int in, int out, char *string);

#endif

