
#ifndef CONFIG_H
#define CONFIG_H

struct bitlist_t {
	char	*name;
	int	value;
};

extern char *myhostname;
extern char *mysysinfo;
extern char *mysyslink;
extern char *mytimezone;
extern char *myemailaddr;
extern int listen_port;
extern int secretnumber;
extern int defaultchannel;
extern int restrictedmode;
extern int max_u_queue;
extern int max_h_queue;
extern int demonize;
extern int tryonly;

extern char conffile[];

extern int bitcfg(struct bitlist_t *bitlist, int argc, char **argv);
extern int printbits(int mask, struct bitlist_t *bitlist, char *buf, size_t len);
extern int numcfg(struct bitlist_t *bitlist, char *arg);
extern int printnum(int val, struct bitlist_t *bitlist, char *buf, size_t len);

extern void parse_cmdl(int argc, char **argv);
extern void read_config(void);

#endif

